Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.geom
Class ShapeExtender

    java.lang.Object
      org.apache.batik.ext.awt.geom.ShapeExtender

All Implemented Interfaces:
  Shape, ExtendedShape

    public class ShapeExtender

extends Object
implements ExtendedShape

This class wraps a normal path into an extended path.

Nested Class Summary
`static class` | `ShapeExtender.EPIWrap`

Constructor Summary
`ShapeExtender(Shape shape)`

Method Summary
`boolean` | `contains(double x, double y)`
`boolean` | `contains(double x, double y, double w, double h)`
`boolean` | `contains(Point2D p)`
`boolean` | `contains(Rectangle2D r)`
`Rectangle` | `getBounds()`
`Rectangle2D` | `getBounds2D()`
`ExtendedPathIterator` | `getExtendedPathIterator()` Get an extended Path iterator that may return SEG_ARCTO commands
`PathIterator` | `getPathIterator(AffineTransform at)`
`PathIterator` | `getPathIterator(AffineTransform at, double flatness)`
`boolean` | `intersects(double x, double y, double w, double h)`
`boolean` | `intersects(Rectangle2D r)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShapeExtender

    public ShapeExtender(Shape shape)

Method Detail

### contains

    public boolean contains(double x,
                            double y)

  Specified by:
    `contains` in interface `Shape`

### contains

    public boolean contains(double x,
                            double y,
                            double w,
                            double h)

  Specified by:
    `contains` in interface `Shape`

### contains

    public boolean contains(Point2D p)

  Specified by:
    `contains` in interface `Shape`

### contains

    public boolean contains(Rectangle2D r)

  Specified by:
    `contains` in interface `Shape`

### getBounds

    public Rectangle getBounds()

  Specified by:
    `getBounds` in interface `Shape`

### getBounds2D

    public Rectangle2D getBounds2D()

  Specified by:
    `getBounds2D` in interface `Shape`

### getPathIterator

    public PathIterator getPathIterator(AffineTransform at)

  Specified by:
    `getPathIterator` in interface `Shape`

### getPathIterator

    public PathIterator getPathIterator(AffineTransform at,
                                        double flatness)

  Specified by:
    `getPathIterator` in interface `Shape`

### getExtendedPathIterator

    public ExtendedPathIterator getExtendedPathIterator()

  Description copied from interface: `ExtendedShape`
  Get an extended Path iterator that may return SEG_ARCTO commands

  Specified by:
    `getExtendedPathIterator` in interface `ExtendedShape`

### intersects

    public boolean intersects(double x,
                              double y,
                              double w,
                              double h)

  Specified by:
    `intersects` in interface `Shape`

### intersects

    public boolean intersects(Rectangle2D r)

  Specified by:
    `intersects` in interface `Shape`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.